Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Risolto] problemi con openssl
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Tue Jan 08, 2019 4:17 pm    Post subject: [Risolto] problemi con openssl Reply with quote

Ciao ragazzi, ho un problema su chi non ci do fuori.
questo è l'output dell'aggiornamento, openssl mi blocca tutto, ho provato a eliminare opessl ma comunque mi blocca. Ho provato sia a mascheralo che ha smascherarlo, cosa inutile tant'è che sono in ~amd.
Non so come comportarmi


Last edited by zar Marco on Fri Jan 11, 2019 4:23 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Tue Jan 08, 2019 5:43 pm    Post subject: Reply with quote

Non vedo nessun blocco nel tuo output solo che deve fare il rebuild di alcuni pacchetti, sei certo di avere postato quello giusto?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Tue Jan 08, 2019 7:01 pm    Post subject: Reply with quote

Sì sì, è l'output giusto. Ho provato anche un @rebuild-... ma comunque non procede con l'aggiornamento.
Credevo che il problema fosse dovuto al fatto che richiedeva due versioni di openssl diverse.

Proverò a veder meglio domani
Back to top
View user's profile Send private message
sabayonino
l33t
l33t


Joined: 03 Jan 2012
Posts: 665

PostPosted: Tue Jan 08, 2019 7:16 pm    Post subject: Reply with quote

dev-libs/openssl-1.1.1a:0/1.1::gentoo è hardmasked

dovresti postare il tuo emerge --info
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Tue Jan 08, 2019 7:29 pm    Post subject: Reply with quote

sabayonino wrote:
dev-libs/openssl-1.1.1a:0/1.1::gentoo è hardmasked

Non piu' e' passato solo a unstable (~amd64)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Tue Jan 08, 2019 7:31 pm    Post subject: Reply with quote

zar Marco wrote:
Sì sì, è l'output giusto. Ho provato anche un @rebuild-... ma comunque non procede con l'aggiornamento.
Credevo che il problema fosse dovuto al fatto che richiedeva due versioni di openssl diverse.

Ma se lanci l'update si avvia o da altri problemi? Scusa da quel output non vedo nessun problema
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
sabayonino
l33t
l33t


Joined: 03 Jan 2012
Posts: 665

PostPosted: Tue Jan 08, 2019 11:08 pm    Post subject: Reply with quote

fedeliallalinea wrote:
sabayonino wrote:
dev-libs/openssl-1.1.1a:0/1.1::gentoo è hardmasked

Non piu' e' passato solo a unstable (~amd64)


Con il keywords in uso (stable) , la 1.1.a e a-r1 sono ancora segnate con un bel rosso vivace :D
Code:
dev-libs/openssl
     Available versions: 
     (0.9.8) 0.9.8z_p8-r1^d
     (0)    1.0.2q^d{tbz2} ~1.1.0j(0/1.1)^d [M]~1.1.1a(0/1.1)^d [M]~1.1.1a-r1(0/1.1)^d
     (1.0.0) ~1.0.2q-r200^t
[...]Installed versions:  1.0.2q^d

_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Wed Jan 09, 2019 5:18 am    Post subject: Reply with quote

Anche da me in unstable è in rosso, ho visto che non da blocchi specifici, ma se do un emerge -DuNa @world da quel output e non va avanti.
Dopo posto emerge --info, se no l'alternativa è capire che pacchetti lo richiedono e valutare se son indispensabili.
Però quello che non capisco è perché mi richiede due openssl, e se ho capito bene non è fattibile installare tutti e due in due slot diversi
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Wed Jan 09, 2019 6:52 am    Post subject: Reply with quote

sabayonino wrote:
Con il keywords in uso (stable) , la 1.1.a e a-r1 sono ancora segnate con un bel rosso vivace :D

Si hai ragione non avevo visto la 'a' finale
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Wed Jan 09, 2019 6:55 am    Post subject: Reply with quote

zar Marco wrote:
Anche da me in unstable è in rosso, ho visto che non da blocchi specifici, ma se do un emerge -DuNa @world da quel output e non va avanti.

Di solito il problema e' ruby23 che non compila con openssl-1.1, dovresti cambiare i ruby targets senza ruby23 (se possibile)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Wed Jan 09, 2019 8:19 am    Post subject: Reply with quote

Questo giusto? Devo inserirlo sia in make.conf che con eselect immagino
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Wed Jan 09, 2019 8:45 am    Post subject: Reply with quote

zar Marco wrote:
Questo giusto? Devo inserirlo sia in make.conf che con eselect immagino

Si ma prima di farlo prova a vedere chi dipende forzatamente da openssl-1.0 con equery
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Wed Jan 09, 2019 1:41 pm    Post subject: Reply with quote

Questo è l'output di equery https://paste.pound-python.org/show/IPpmARIp2mQ7QFpPfuRM/ sono tantini i pacchetti.
Ho provato ad usare eselect ma per ruby ho la versione 23-24, con in uso la 24
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Wed Jan 09, 2019 2:36 pm    Post subject: Reply with quote

Cosi' a stima direi che l'unico pacchetto che non compila con openssl-1.1 sia dev-lang/ruby-2.3.8-r1, quindi cambia i RUBY_TARGETS nel tuo make.conf e poi lancia un emerge -UD @world.
Fatto questo depclean ti dovrebbe dire che ruby23 e' da togliere e allora sarai in grado di aggiornare.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Wed Jan 09, 2019 2:42 pm    Post subject: Reply with quote

Non capisco quale delle due alternative sembra essere la soluzione.
La prima cosa che ho fatto è stato modificare make.conf aggiungendo
Code:
RUBY_TARGETS="ruby24 ruby25"
(l'ho copiato da un post nel forum internazionale)
La seconda cosa è stata disinstallare e reinstallare openssl, ora sta ricompilando 140 pacchetti, ma sembra andare.

Credo però che la soluzione sia stata la prima, siccome la seconda l'avevo già provata svariate volte.

Alla fine dell'aggiornamento cambio lo status del thread

Grazie mille a tutti
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Wed Jan 09, 2019 7:05 pm    Post subject: Reply with quote

Ho appena fatto il sync e ruby23 e' stato tolto dai RUBY_TARGETS
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Wed Jan 09, 2019 7:07 pm    Post subject: Reply with quote

Io ho dovuto stopparlo, però stava procedendo bene, mancavano una 50ina di pacchetti, quindi per ora metto risolvo.
Poi domani che finisco verifico pure io
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Thu Jan 10, 2019 9:06 pm    Post subject: Reply with quote

Sono riuscito a fare un aggiornamento, poi un depclean, poi un @preserv-rebuild poi ho provato un altro aggiornamento ed il problema risalta fuori. Sempre sto openssl.
Non so più cosa fare, in ogni caso domani riprovo e vedo di riuscire a darvi qualche informazione in più, anche un emerge --info
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Thu Jan 10, 2019 9:08 pm    Post subject: Reply with quote

Posta anche l'output dell'aggiornamento
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Fri Jan 11, 2019 1:47 pm    Post subject: Reply with quote

OK, questo è ciò che mi dice quando provo ad aggionare

Code:
saul@gentoobook:~ % sudo emerge -DuNa @world                   

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-libs/glibc-2.28-r5:2.2::gentoo [2.28-r4:2.2::gentoo] USE="multiarch (multilib) -audit -caps (-cet) (-compile-locales) -doc -gd -headers-only -nscd -profile (-selinux) -suid -systemtap -test (-vanilla)" 96 KiB
[ebuild     U  ] sys-apps/sandbox-2.15::gentoo [2.14::gentoo] ABI_X86="(32) (64) (-x32)" 417 KiB
[ebuild     U  ] app-arch/tar-1.31-r1::gentoo [1.31::gentoo] USE="acl nls xattr -minimal (-selinux) -static" 0 KiB
[ebuild     U  ] dev-python/html5-parser-0.4.5::gentoo [0.4.4-r1::gentoo] PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5" 270 KiB
[ebuild     UD ] dev-libs/openssl-1.0.2q:0/0::gentoo [1.1.1a-r1:0/1.1::gentoo] USE="asm sslv3* tls-heartbeat* zlib -bindist -gmp% -kerberos% -rfc3779 -sctp -sslv2% -static-libs -test -vanilla" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="(sse2)" 0 KiB
[ebuild  NS    ] sys-kernel/gentoo-sources-4.20.1:4.20.1::gentoo [4.19.10:4.19.10::gentoo, 4.20.0:4.20.0::gentoo] USE="-build -experimental -symlink" 60 KiB
[ebuild     U  ] dev-perl/Net-SSLeay-1.850.0::gentoo [1.820.0::gentoo] USE="-examples -libressl -minimal -test" 409 KiB
[ebuild  NS    ] dev-lang/ruby-2.3.8-r1:2.3::gentoo [2.4.5-r1:2.4::gentoo, 2.5.3:2.5::gentoo] USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -tk -xemacs" 0 KiB
[ebuild   R    ] dev-ruby/rubygems-3.0.1::gentoo  USE="-server -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ] virtual/rubygems-15::gentoo  RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ] dev-ruby/rake-12.3.2::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild     U  ] dev-ruby/json-2.1.0-r1:2::gentoo [2.1.0:2::gentoo] USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26%" 0 KiB
[ebuild   R    ] dev-ruby/net-telnet-0.2.0:1::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ] dev-ruby/minitest-5.11.3:5::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ] dev-ruby/power_assert-1.1.3::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ] dev-ruby/test-unit-3.2.9:2::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild  NS    ] dev-ruby/did_you_mean-1.0.2:1::gentoo [1.1.2:2.4::gentoo, 1.2.1:2.5::gentoo] USE="-test" RUBY_TARGETS="ruby23" 0 KiB
[ebuild   R    ] dev-ruby/kpeg-1.1.0-r1:1::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ] dev-ruby/racc-1.4.14::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ] dev-ruby/rdoc-6.1.1::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild     U  ] sys-apps/util-linux-2.33.1::gentoo [2.33-r1::gentoo] USE="cramfs ncurses nls pam readline static-libs suid udev unicode -build -caps -fdformat -kill -python (-selinux) -slang -systemd -test -tty-helpers" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5 -python3_7" 4542 KiB
[ebuild     U  ] kde-apps/libkipi-18.12.1:5/32::gentoo [18.12.0:5/32::gentoo] USE="-debug" 102 KiB
[ebuild     U  ] www-client/google-chrome-beta-72.0.3626.53::gentoo [72.0.3626.28::gentoo] L10N="it -am -ar -bg -bn -ca -cs -da -de -el -en-GB -es -es-419 -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh-CN -zh-TW" 56992 KiB
[ebuild     U  ] media-libs/phonon-4.10.2::gentoo [4.10.1-r1::gentoo] USE="pulseaudio vlc -debug -designer -gstreamer" 315 KiB
[ebuild     U  ] media-libs/phonon-vlc-0.10.2::gentoo [0.10.1-r1::gentoo] USE="-debug" 60 KiB
[ebuild     U  ] media-sound/spotify-1.0.96::gentoo [1.0.94::gentoo] USE="libnotify pulseaudio -pax_kernel -systray" 102681 KiB
[ebuild     U  ] sys-apps/portage-2.3.55::gentoo [2.3.54-r1::gentoo] USE="(ipc) native-extensions rsync-verify xattr -build -doc -epydoc -gentoo-dev (-selinux)" PYTHON_TARGETS="python2_7 python3_6 -pypy -python3_4 -python3_5 -python3_7" 992 KiB
[ebuild     U  ] kde-apps/libkomparediff2-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="-debug -test" 170 KiB
[ebuild     U  ] kde-apps/baloo-widgets-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="-debug -test" 240 KiB
[ebuild     U  ] kde-apps/spectacle-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="handbook kipi -debug -share" 809 KiB
[ebuild     U  ] kde-apps/ark-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="bzip2 handbook -debug -lzma -test -zip" 2520 KiB
[ebuild     U  ] kde-apps/konsole-18.12.1:5::gentoo [18.12.0-r2:5::gentoo] USE="X handbook -debug -test" 1068 KiB
[ebuild     U  ] kde-apps/kio-extras-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="activities handbook man phonon sftp -debug -mtp -openexr -samba -taglib -test" 549 KiB
[ebuild     U  ] kde-apps/kompare-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="handbook -debug" 783 KiB
[ebuild     U  ] kde-apps/kate-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="addons handbook -debug -test" 5629 KiB
[ebuild     U  ] kde-apps/dolphin-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="handbook semantic-desktop -debug -test -thumbnail" 4752 KiB
[ebuild     U  ] kde-apps/khelpcenter-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="handbook -debug" 3754 KiB

Total: 37 packages (23 upgrades, 1 downgrade, 3 in new slots, 10 reinstalls), Size of downloads: 187202 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/openssl:0

  (dev-libs/openssl-1.1.1a-r1:0/1.1::gentoo, installed) pulled in by
    >=dev-libs/openssl-1.0.1h-r2:0/1.1=[abi_x86_64(-)] required by (net-nds/openldap-2.4.45:0/0::gentoo, installed)
                                ^^^^^^^                                                                                                               
    >=dev-libs/openssl-1.1.0g:0[bindist=] required by (net-misc/openssh-7.9_p1-r1:0/0::gentoo, installed)
    ^^                 ^^^^^^^^                                                                                                                                                   
    (and 33 more with the same problems)

  (dev-libs/openssl-1.0.2q:0/0::gentoo, ebuild scheduled for merge) pulled in by
    <dev-libs/openssl-1.1:0= required by (dev-lang/ruby-2.3.8-r1:2.3/2.3::gentoo, ebuild scheduled for merge)
    ^                 ^^^^^^                                                                                                                                                           

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


Questo il mio emerge --info
Code:
saul@gentoobook:~ % sudo emerge --info
Portage 2.3.54 (python 3.6.6-final-0, default/linux/amd64/17.0/desktop/plasma, gcc-8.2.0, glibc-2.28-r4, 4.20.0-gentoo x86_64)
=================================================================
System uname: Linux-4.20.0-gentoo-x86_64-Intel-R-_Core-TM-_i7-7700HQ_CPU_@_2.80GHz-with-gentoo-2.6
KiB Mem:     8046704 total,   1935400 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Fri, 11 Jan 2019 13:00:01 +0000
Head commit of repository gentoo: 7b12bac5c49e4d2eeacac6e0aa07bd2383e89acb
Head commit of repository gentoo-italia: 1b3b6930ba5673ad5b9509ebb3948026e2a5c5a2

Head commit of repository redcore: fe955eda5501a3d045be4ffa59cba20df755ff7e

sh bash 4.4_p23
ld GNU ld (Gentoo 2.31.1 p5) 2.31.1
app-shells/bash:          4.4_p23::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.6::gentoo
dev-util/cmake:           3.13.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.40.3::gentoo
sys-apps/sandbox:         2.14::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r3::gentoo
sys-devel/gcc:            7.3.0-r6::gentoo, 8.2.0-r6::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.20::gentoo (virtual/os-headers)
sys-libs/glibc:           2.28-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts:
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24

gentoo-italia
    location: /var/lib/overlays/gentoo-italia
    sync-type: git
    sync-uri: https://github.com/gentoo-italia/gentoo-italia
    masters: gentoo

redcore
    location: /var/lib/overlays/redcore-desktop
    sync-type: git
    sync-uri: https://github.com/Rogentos/redcore-desktop.git
    masters: gentoo

ABI="amd64"
ABI_X86="64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode internal-glib split-usr python_targets_python3_6 python_targets_python2_7 multilib"
BROOT=""
CALLIGRA_FEATURES="karbon plan sheets words"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
COLLISION_IGNORE="/lib/modules/*"
COLORTERM="truecolor"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe"
DEFAULT_ABI="amd64"
DISPLAY=":0"
DISTDIR="/usr/portage/distfiles"
EDITOR="/usr/bin/vi"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--ask y --verbose y --keep-going y --jobs 5 --load-average 6"
EMERGE_WARNING_DELAY="10"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; eval \"declare -a ssh_opts=(\${3})\" ; exec sftp \${port:+-P \${port}} \"\${ssh_opts[@]}\" \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; exec rsync --rsh=\"ssh \${port:+-p\${port}} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FFLAGS="-O2 -pipe"
GCC_SPECS=""
GENTOO_MIRRORS=" ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://gentoo.imj.fr/pub/gentoo/ rsync://trumpetti.atm.tut.fi/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://mirror.switch.ch/mirror/gentoo/ http://mirror.switch.ch/ftp/mirror/gentoo/"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx"
GRUB_PLATFORMS="emu efi-64"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.31.1/info:/usr/share/info"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_64 prefix prefix-chain prefix-guest"
KERNEL="linux"
L10N="it"
LANG="it_IT.utf8"
LANGUAGE="it"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_CTYPE="it_IT.utf8"
LC_MESSAGES="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe %s"
LIBDIR_amd64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib32"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LINGUAS="it"
LOGNAME="root"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31:*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.jpg=01;35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.cfg=00;32:*.conf=00;32:*.diff=00;32:*.doc=00;32:*.ini=00;32:*.log=00;32:*.patch=00;32:*.pdf=00;32:*.ps=00;32:*.tex=00;32:*.txt=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:"
MAIL="/var/mail/root"
MAKEOPTS="-j9"
MANPAGER="manpager"
MANPATH="/usr/share/gcc-data/x86_64-pc-linux-gnu/8.2.0/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.31.1/man:/usr/lib/llvm/7/share/man:/usr/local/share/man:/usr/share/man"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage|udev|systemd|clang|python-exec|llvm)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OFFICE_IMPLEMENTATION="libreoffice"
OPENCL_PROFILE="nvidia"
OPENGL_PROFILE="xorg-x11"
PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin:/usr/lib/llvm/7/bin"
PHP_TARGETS="php5-6 php7-1"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="alpha amd64 amd64-fbsd amd64-linux arm arm-linux arm64 arm64-linux hppa ia64 m68k m68k-mint mips ppc ppc-aix ppc-macos ppc64 ppc64-linux s390 sh sparc sparc-solaris sparc64-solaris x64-cygwin x64-macos x64-solaris x86 x86-cygwin x86-fbsd x86-linux x86-macos x86-solaris x86-winnt"
PORTAGE_BIN_PATH="/usr/lib/portage/python3.6"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save_summary:log,warn,error,qa echo"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --digest-algo SHA256 --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_INTERNAL_CALLER="1"
PORTAGE_LOGDIR_CLEAN="find "${PORTAGE_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib64/python3.6/site-packages"
PORTAGE_PYTHONPATH="/usr/lib64/python3.6/site-packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTAGE_XATTR_EXCLUDE="btrfs.* security.evm security.ima        security.selinux system.nfs4_acl user.apache_handler    user.Beagle.* user.dublincore.* user.mime_encoding user.xdg.*"
POSTGRES_TARGETS="postgres9_5 postgres10"
PROFILE_ONLY_VARIABLES="ARCH ELIBC IUSE_IMPLICIT KERNEL USERLAND USE_EXPAND_IMPLICIT USE_EXPAND_UNPREFIXED USE_EXPAND_VALUES_ARCH USE_EXPAND_VALUES_ELIBC USE_EXPAND_VALUES_KERNEL USE_EXPAND_VALUES_USERLAND"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_6"
PYTHON_TARGETS="python2_7 python3_6"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; exec rsync --rsh=\"ssh \${port:+-p\${port}} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
ROOT="/"
ROOTPATH="/usr/lib/llvm/7/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby24 ruby25"
SHELL="/bin/zsh"
SUDO_COMMAND="/usr/bin/emerge --info"
SUDO_GID="1001"
SUDO_UID="1001"
SUDO_USER="saul"
SYMLINK_LIB="yes"
SYSROOT="/"
TERM="xterm-256color"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
UNINSTALL_IGNORE="/lib/modules/* /var/run /var/lock"
USE="X a52 aac acl acpi activities alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam flac fortran gdbm gif glamor gpm gtk iconv ipv6 jpeg kde kipi kwallet lcms ldap libnotify libtirpc mad mng mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt5 readline sdl seccomp semantic-desktop spell ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis widgets wxwidgets x264 xattr xcb xcomposite xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="emu efi-64" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="it" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USER="root"
USERLAND="GNU"
USE_EXPAND="ABI_MIPS ABI_PPC ABI_S390 ABI_X86 ALSA_CARDS APACHE2_MODULES APACHE2_MPMS CALLIGRA_EXPERIMENTAL_FEATURES CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CPU_FLAGS_ARM CPU_FLAGS_X86 CURL_SSL ELIBC ENLIGHTENMENT_MODULES FFTOOLS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL L10N LCD_DEVICES LIBREOFFICE_EXTENSIONS LIRC_DEVICES LLVM_TARGETS MONKEYD_PLUGINS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL NGINX_MODULES_STREAM OFED_DRIVERS OFFICE_IMPLEMENTATION OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS POSTGRES_TARGETS PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS ROS_MESSAGES RUBY_TARGETS SANE_BACKENDS USERLAND UWSGI_PLUGINS VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="ABI_MIPS ABI_PPC ABI_S390 CPU_FLAGS_ARM ELIBC KERNEL USERLAND"
USE_EXPAND_IMPLICIT="ARCH ELIBC KERNEL USERLAND"
USE_EXPAND_UNPREFIXED="ARCH"
USE_EXPAND_VALUES_ARCH="alpha amd64 amd64-fbsd amd64-linux arm arm64 hppa ia64 m68k m68k-mint mips ppc ppc64 ppc64-linux ppc-aix ppc-macos s390 sh sparc sparc64-solaris sparc-solaris x64-cygwin x64-macos x64-solaris x86 x86-cygwin x86-fbsd x86-linux x86-macos x86-solaris x86-winnt"
USE_EXPAND_VALUES_ELIBC="AIX bionic Cygwin Darwin DragonFly FreeBSD glibc HPUX Interix mingw mintlib musl NetBSD OpenBSD SunOS uclibc Winnt"
USE_EXPAND_VALUES_KERNEL="AIX Darwin FreeBSD freemint HPUX linux NetBSD OpenBSD SunOS Winnt"
USE_EXPAND_VALUES_USERLAND="BSD GNU"
USE_ORDER="env:pkg:conf:defaults:pkginternal:features:repo:env.d"
VGL_READBACK="pbo"
VIDEO_CARDS="intel i965 nvidia"
XAUTHORITY="/home/saul/.Xauthority"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"


Questo è l'equery relativo ad openssl
Code:
saul@gentoobook:~ % sudo equery d openssl
 * These packages depend on openssl:
app-admin/sudo-1.8.26 (openssl ? dev-libs/openssl:0)
app-arch/libarchive-3.3.3 (!libressl ? dev-libs/openssl:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
app-crypt/qca-2.2.0_pre20180606 (!libressl ? dev-libs/openssl:0)
                                (!libressl ? >=dev-libs/openssl-1.0.1:0)
app-crypt/rhash-1.3.6-r1 (!libressl ? dev-libs/openssl:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
app-editors/xemacs-21.5.34-r4 (!libressl ? >=dev-libs/openssl-0.9.6:0)
app-text/mupdf-1.14.0-r2 (!libressl ? dev-libs/openssl:0[static-libs?])
app-text/podofo-0.9.6_p20180715 (!libressl ? dev-libs/openssl:0)
dev-db/mysql-connector-c-6.1.11-r1 (!libressl ? dev-libs/openssl:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
dev-lang/python-2.7.15 (!libressl ? dev-libs/openssl:0)
dev-lang/python-3.6.6 (!libressl ? dev-libs/openssl:0)
dev-lang/ruby-2.4.5-r1 (!libressl ? dev-libs/openssl:0)
dev-lang/ruby-2.5.3 (!libressl ? dev-libs/openssl:0)
dev-libs/cyrus-sasl-2.1.27-r1 (!libressl ? >=dev-libs/openssl-1.0.1h-r2:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
dev-libs/xmlsec-1.2.27 (!libressl ? dev-libs/openssl:0)
dev-perl/Net-SSLeay-1.820.0 (!libressl ? dev-libs/openssl:0)
dev-python/cryptography-2.4.2 (!libressl ? dev-libs/openssl:0)
                              (!libressl ? dev-libs/openssl:0[-bindist(-)])
                              (!libressl ? >=dev-libs/openssl-1.0.2o-r6:0)
dev-python/m2crypto-0.31.0 (dev-libs/openssl:0[-bindist(-)])
dev-python/ndg-httpsclient-0.4.2-r1 (test ? dev-libs/openssl:0)
dev-qt/qtnetwork-5.11.3 (ssl ? dev-libs/openssl:0[bindist=])
dev-vcs/git-2.20.1 (!libressl ? dev-libs/openssl:0)
kde-frameworks/kdelibs4support-5.53.0 (!libressl ? dev-libs/openssl:0)
kde-frameworks/khtml-5.53.0 (!libressl ? dev-libs/openssl:0)
media-sound/pulseaudio-12.2 (!libressl ? dev-libs/openssl:0)
media-sound/spotify-1.0.94 (dev-libs/openssl:0)
media-video/ffmpeg-4.1 (openssl ? >=dev-libs/openssl-1.0.1h-r2:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
net-dialup/ppp-2.4.7-r7 (!libressl ? dev-libs/openssl:0)
net-libs/libssh-0.8.6 (!libressl ? >=dev-libs/openssl-1.0.1h-r2:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
net-libs/neon-0.30.2 (!libressl ? dev-libs/openssl:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
net-misc/curl-7.63.0-r1 (curl_ssl_openssl ? dev-libs/openssl:0[static-libs?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
net-misc/dhcp-4.4.1 (!libressl ? dev-libs/openssl:0)
net-misc/iputils-20180629 (!libressl ? dev-libs/openssl:0)
                          (!libressl ? dev-libs/openssl:0[static-libs(+)])
net-misc/openssh-7.9_p1-r1 (!libressl ? >=dev-libs/openssl-1.0.1:0[bindist=])
                           (!libressl ? <dev-libs/openssl-1.1.0:0[bindist=])
                           (>=dev-libs/openssl-1.1.0g:0[bindist=])
                           (dev-libs/openssl:0)
                           (dev-libs/openssl:0[static-libs(+)])
net-misc/socat-1.7.3.2 (!libressl ? dev-libs/openssl:0)
net-misc/wget-1.20.1 (!libressl ? dev-libs/openssl:0)
                     (!libressl ? dev-libs/openssl:0[static-libs(+)])
net-nds/openldap-2.4.45 (!libressl ? >=dev-libs/openssl-1.0.1h-r2:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])
                        (!libressl ? dev-libs/openssl:0)
                        (ssl ? dev-libs/openssl:0)
net-wireless/crda-3.18-r2 (!libressl ? dev-libs/openssl:0)
net-wireless/wpa_supplicant-2.7 (!libressl ? >=dev-libs/openssl-1.0.2k:0[bindist=])
sys-apps/pacman-5.0.2-r2 (!libressl ? dev-libs/openssl:0)
sys-fs/cryfs-0.9.9 (!libressl ? dev-libs/openssl:0)
sys-fs/cryptsetup-2.0.6 (!libressl ? dev-libs/openssl:0[static-libs(+)])
                        (!libressl ? dev-libs/openssl:0)
www-client/links-2.17 (!libressl ? dev-libs/openssl:0)
www-client/w3m-0.5.3_p20180125 (!libressl ? dev-libs/openssl:0)
x11-base/xorg-server-1.20.3 (!libressl ? dev-libs/openssl:0)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Fri Jan 11, 2019 2:04 pm    Post subject: Reply with quote

Il problema e' ancora ruby23, sembra che qualcuno l'ha bisogno.
Poi postare per favore
Code:
sudo emerge -DuNavt @world     

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Fri Jan 11, 2019 2:29 pm    Post subject: Reply with quote

Ecco qua

Code:
saul@gentoobook:~ % sudo emerge -DuNavt @world
Password:

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge       ] kde-plasma/plasma-meta-5.14.5:5::gentoo  USE="bluetooth browser-integration consolekit crypt display-manager gtk handbook legacy-systray pam pm-utils pulseaudio sddm wallpapers -elogind -grub -networkmanager -plymouth -sdk -systemd"
[ebuild     U  ]  kde-apps/khelpcenter-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="handbook -debug" 3754 KiB
[nomerge       ] app-portage/kuroo-0.90.5_p20180410::gentoo
[ebuild     U  ]  kde-apps/kompare-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="handbook -debug" 783 KiB
[ebuild     U  ] kde-apps/spectacle-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="handbook kipi -debug -share" 0 KiB
[ebuild     U  ] www-client/google-chrome-beta-72.0.3626.53::gentoo [72.0.3626.28::gentoo] L10N="it -am -ar -bg -bn -ca -cs -da -de -el -en-GB -es -es-419 -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh-CN -zh-TW" 56992 KiB
[ebuild     U  ] kde-apps/ark-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="bzip2 handbook -debug -lzma -test -zip" 0 KiB
[ebuild     U  ] media-sound/spotify-1.0.96::gentoo [1.0.94::gentoo] USE="libnotify pulseaudio -pax_kernel -systray" 102681 KiB
[ebuild     U  ] kde-apps/kate-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="addons handbook -debug -test" 0 KiB
[ebuild     U  ] kde-apps/konsole-18.12.1:5::gentoo [18.12.0-r2:5::gentoo] USE="X handbook -debug -test" 0 KiB
[nomerge       ] kde-misc/kdeconnect-1.3.3:5::gentoo  USE="bluetooth handbook -app -debug -mousepad (-selinux) -test -wayland"
[nomerge       ]  kde-frameworks/knotifications-5.53.0:5/5.53::gentoo  USE="X dbus nls phonon -debug -doc -speech"
[nomerge       ]   media-libs/phonon-4.10.2::gentoo [4.10.1-r1::gentoo] USE="pulseaudio vlc -debug -designer -gstreamer"
[ebuild     U  ]    media-libs/phonon-vlc-0.10.2::gentoo [0.10.1-r1::gentoo] USE="-debug" 60 KiB
[nomerge       ] kde-apps/kompare-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="handbook -debug"
[ebuild     U  ]  kde-apps/libkomparediff2-18.12.1:5::gentoo [18.12.0:5::gentoo] USE="-debug -test" 170 KiB
[nomerge       ] virtual/package-manager-1::gentoo
[ebuild     U  ]  sys-apps/portage-2.3.55::gentoo [2.3.54-r1::gentoo] USE="(ipc) native-extensions rsync-verify xattr -build -doc -epydoc -gentoo-dev (-selinux)" PYTHON_TARGETS="python2_7 python3_6 -pypy -python3_4 -python3_5 -python3_7" 992 KiB
[nomerge       ] kde-plasma/kdeplasma-addons-5.14.5:5::gentoo  USE="-debug -share -webengine"
[nomerge       ]  kde-plasma/plasma-workspace-5.14.5:5::gentoo  USE="calendar handbook semantic-desktop -appstream -debug -geolocation -gps -prison -qalculate -systemd -test"
[ebuild     U  ]   media-libs/phonon-4.10.2::gentoo [4.10.1-r1::gentoo] USE="pulseaudio vlc -debug -designer -gstreamer" 315 KiB
[ebuild     U  ] sys-apps/util-linux-2.33.1::gentoo [2.33-r1::gentoo] USE="cramfs ncurses nls pam readline static-libs suid udev unicode -build -caps -fdformat -kill -python (-selinux) -slang -systemd -test -tty-helpers" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5 -python3_7" 4542 KiB
[nomerge       ] dev-ruby/git-1.5.0::gentoo  USE="-doc -test" RUBY_TARGETS="ruby24 ruby25 -ruby23"
[nomerge       ]  dev-lang/ruby-2.4.5-r1:2.4::gentoo  USE="berkdb gdbm ipv6 rdoc ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -static-libs -tk -xemacs"
[ebuild   R    ]   dev-ruby/rdoc-6.1.1::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ]    dev-ruby/racc-1.4.14::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ]    dev-ruby/kpeg-1.1.0-r1:1::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ]   dev-ruby/net-telnet-0.2.0:1::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[nomerge       ] dev-ruby/racc-1.4.14::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26"
[nomerge       ]  dev-lang/ruby-2.3.8-r1:2.3::gentoo [2.4.5-r1:2.4::gentoo, 2.5.3:2.5::gentoo] USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -tk -xemacs"
[ebuild  NS    ]   dev-ruby/did_you_mean-1.0.2:1::gentoo [1.1.2:2.4::gentoo, 1.2.1:2.5::gentoo] USE="-test" RUBY_TARGETS="ruby23" 0 KiB
[ebuild   R    ]   dev-ruby/test-unit-3.2.9:2::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ]    dev-ruby/power_assert-1.1.3::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ]   dev-ruby/minitest-5.11.3:5::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild     U  ]   dev-ruby/json-2.1.0-r1:2::gentoo [2.1.0:2::gentoo] USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26%" 0 KiB
[ebuild   R    ]    dev-ruby/rake-12.3.2::gentoo  USE="-doc -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ]     virtual/rubygems-15::gentoo  RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild   R    ]      dev-ruby/rubygems-3.0.1::gentoo  USE="-server -test" RUBY_TARGETS="ruby23* ruby24 ruby25 -ruby26" 0 KiB
[ebuild  NS    ]       dev-lang/ruby-2.3.8-r1:2.3::gentoo [2.4.5-r1:2.4::gentoo, 2.5.3:2.5::gentoo] USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -jemalloc -libressl -rubytests -socks5 -tk -xemacs" 0 KiB
[ebuild  NS    ] sys-kernel/gentoo-sources-4.20.1:4.20.1::gentoo [4.19.10:4.19.10::gentoo, 4.20.0:4.20.0::gentoo] USE="-build -experimental -symlink" 60 KiB
[nomerge       ] sys-apps/lshw-02.18b-r1::gentoo  USE="gtk -sqlite -static"
[nomerge       ]  x11-libs/gtk+-2.24.32-r1:2::gentoo  USE="cups (-aqua) -examples -introspection -test -vim-syntax -xinerama" ABI_X86="(64) -32 (-x32)"
[nomerge       ]   net-print/cups-2.2.10::gentoo  USE="X acl dbus pam ssl threads usb -debug -java -kerberos -lprng-compat -python (-selinux) -static-libs -systemd -xinetd -zeroconf" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7"
[nomerge       ]    x11-misc/xdg-utils-1.1.3-r1::gentoo  USE="-doc"
[nomerge       ]     dev-perl/Net-DBus-1.1.0::gentoo  USE="-test"
[nomerge       ]      dev-perl/XML-Twig-3.520.0::gentoo  USE="nls -test"
[nomerge       ]       dev-perl/libwww-perl-6.270.0::gentoo  USE="ssl -test"
[nomerge       ]        dev-perl/LWP-Protocol-https-6.70.0::gentoo  USE="-test"
[nomerge       ]         dev-perl/IO-Socket-SSL-2.52.0::gentoo  USE="-examples -idn"
[ebuild     U  ]          dev-perl/Net-SSLeay-1.850.0::gentoo [1.820.0::gentoo] USE="-examples -libressl -minimal -test" 409 KiB
[ebuild     UD ] dev-libs/openssl-1.0.2q:0/0::gentoo [1.1.1a-r1:0/1.1::gentoo] USE="asm sslv3* tls-heartbeat* zlib -bindist -gmp% -kerberos% -rfc3779 -sctp -sslv2% -static-libs -test -vanilla" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="(sse2)" 0 KiB
[nomerge       ] app-text/calibre-3.36.0::gentoo  USE="udisks -ios" PYTHON_TARGETS="python2_7"
[ebuild     U  ]  dev-python/html5-parser-0.4.5::gentoo [0.4.4-r1::gentoo] PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5" 270 KiB
[ebuild     U  ] app-arch/tar-1.31-r1::gentoo [1.31::gentoo] USE="acl nls xattr -minimal (-selinux) -static" 0 KiB
[nomerge       ] app-portage/gentoolkit-0.4.2-r1::gentoo  PYTHON_TARGETS="python2_7 python3_6 -pypy -python3_4 -python3_5 -python3_7"
[nomerge       ]  sys-apps/portage-2.3.55::gentoo [2.3.54-r1::gentoo] USE="(ipc) native-extensions rsync-verify xattr -build -doc -epydoc -gentoo-dev (-selinux)" PYTHON_TARGETS="python2_7 python3_6 -pypy -python3_4 -python3_5 -python3_7"
[ebuild     U  ]   sys-apps/sandbox-2.15::gentoo [2.14::gentoo] ABI_X86="(32) (64) (-x32)" 417 KiB
[nomerge       ] x11-drivers/nvidia-drivers-415.25:0/415::gentoo  USE="X acpi compat driver kms multilib tools -gtk3 -pax_kernel -static-libs -uvm -wayland" ABI_X86="32 (64) (-x32)"
[ebuild     U  ]  sys-libs/glibc-2.28-r5:2.2::gentoo [2.28-r4:2.2::gentoo] USE="multiarch (multilib) -audit -caps (-cet) (-compile-locales) -doc -gd -headers-only -nscd -profile (-selinux) -suid -systemtap -test (-vanilla)" 96 KiB

Total: 33 packages (19 upgrades, 1 downgrade, 3 in new slots, 10 reinstalls), Size of downloads: 171536 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/openssl:0

  (dev-libs/openssl-1.1.1a-r1:0/1.1::gentoo, installed) pulled in by
    dev-libs/openssl:0/1.1= required by (x11-base/xorg-server-1.20.3:0/1.20.3::gentoo, installed)
                    ^^^^^^^                                                                                                         
    >=dev-libs/openssl-1.1.0g:0[bindist=] required by (net-misc/openssh-7.9_p1-r1:0/0::gentoo, installed)
    ^^                 ^^^^^^^^                                                                                                                                                   
    (and 33 more with the same problems)

  (dev-libs/openssl-1.0.2q:0/0::gentoo, ebuild scheduled for merge) pulled in by
    <dev-libs/openssl-1.1:0= required by (dev-lang/ruby-2.3.8-r1:2.3/2.3::gentoo, ebuild scheduled for merge)
    ^                 ^^^^^^                                                                                                                                                           

NOTE: Use the '--verbose-conflicts' option to display parents omitted above

It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Fri Jan 11, 2019 2:40 pm    Post subject: Reply with quote

Per qualche motivo RUBY_TARGETS ruby23 viene attivato, non hai qualche entries nel package.use?
Code:
$ grep -r ruby23 /etc/portage/package.use*

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
zar Marco
Guru
Guru


Joined: 09 Sep 2016
Posts: 407
Location: Colle Umberto ( TV )

PostPosted: Fri Jan 11, 2019 2:48 pm    Post subject: Reply with quote

Ne ho un numero alto
Code:
saul@gentoobook:~ % grep -r ruby23 /etc/portage/package.use*
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rdoc-6.1.1::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/minitest-5.11.3 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rdoc-6.1.1::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/net-telnet-0.2.0 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rdoc-6.1.1::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/power_assert-1.1.3 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rdoc-6.1.1::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/rake-12.3.2 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rdoc-6.1.1::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/test-unit-3.2.9 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rdoc-6.1.1::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/json-2.1.0-r1 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/racc-1.4.14::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/rdoc-6.1.1 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rdoc-6.1.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/racc-1.4.14::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/kpeg-1.1.0-r1 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rdoc-6.1.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/kpeg-1.1.0-r1::gentoo[ruby_targets_ruby23,-test]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/racc-1.4.14 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:>=virtual/rubygems-15 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by virtual/rubygems-15::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/minitest-5.11.3::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/rubygems-3.0.1 ruby_targets_ruby23
/etc/portage/package.use/zz-autounmask:# required by dev-ruby/rubygems-3.0.1::gentoo[ruby_targets_ruby23]
/etc/portage/package.use/zz-autounmask:>=dev-ruby/did_you_mean-1.0.2:1 ruby_targets_ruby23


quindi in teoria mi basta elimarle ed aggiornare immagino
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21321
Location: here

PostPosted: Fri Jan 11, 2019 3:03 pm    Post subject: Reply with quote

zar Marco wrote:
quindi in teoria mi basta elimarle ed aggiornare immagino

Penso proprio di si'
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum